Name:           webinject
Version:        1.41
Release:        11%{?dist}
Summary:        Web/HTTP Testing Tool   

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.webinject.org
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz
Source1:        %{name}.desktop
Patch0:         %{name}.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:  perl(Error), perl(XML::Parser), perl(XML::Simple), perl(Time::HiRes), perl(HTTP::Request::Common) 

%description
WebInject is a free tool for automated testing of web applications 
and web services. It can be used to test individual system 
components that have HTTP interfaces (JSP, ASP, CGI, PHP, AJAX, 
Servlets, HTML Forms, XML/SOAP Web Services, REST, etc), and can 
be used as a test harness to create a suite of [HTTP level] 
automated functional, acceptance, and regression tests. A test 
harness allows you to run many test cases and collect/report your 
results. WebInject offers real-time results display and may also 
be used for monitoring system response times.

WebInject can be used as a standalone test runner 
(text/console application) which can be integrated and called from 
other test frameworks or applications.

%package gui
Summary:     Web/HTTP Test Tool with GUI
Group:       Applications/System
BuildRequires: desktop-file-utils
Requires:    webinject, perl(Tk), perl(Tk::ProgressBar::Mac), perl(Tk::Stderr)

%description gui
WebInject is a free tool for automated testing of web applications 
and web services. It can be used to test individual system 
components that have HTTP interfaces (JSP, ASP, CGI, PHP, AJAX, 
Servlets, HTML Forms, XML/SOAP Web Services, REST, etc), and can 
be used as a test harness to create a suite of [HTTP level] 
automated functional, acceptance, and regression tests. A test 
harness allows you to run many test cases and collect/report your 
results. WebInject offers real-time results display and may also 
be used for monitoring system response times.

WebInject can be used as a standalone test runner 
(text/console an GUI application) which can be integrated and called from 
other test frameworks or applications.

%prep
%setup -q -n webinject
%patch0 -p1

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -p -d -m0755 %{buildroot}%{_defaultdocdir}/%{name}-%{version}/
%{__install} -p -d -m0755 %{buildroot}%{_datadir}/%{name}
%{__install} -p -d -m0755 %{buildroot}%{_datadir}/pixmaps
%{__install} -p -d -m0755 %{buildroot}%{_datadir}/applications
%{__install} -m0755 webinject.pl %{buildroot}%{_datadir}/%{name}
%{__install} -m0755 webinjectgui.pl %{buildroot}%{_datadir}/%{name}
%{__install} -m0644 config.xml testcases.xml logo.gif %{buildroot}%{_datadir}/%{name}
%{__install} -m0644 icon.gif %{buildroot}%{_datadir}/pixmaps/icon.gif
%{__install} -m0644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/webinject.desktop 
%{__install} -p -d -m0755 %{buildroot}%{_bindir}

desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications/  %{buildroot}%{_datadir}/applications/webinject.desktop

chmod 0644 LICENSE README

sed -i 's|./webinject.pl|/usr/share/webinject/webinject.pl|g' %{buildroot}%{_datadir}/%{name}/webinjectgui.pl

ln -s ../../..%{_datadir}/%{name}/webinject.pl %{buildroot}%{_bindir}/webinject

%clean
%{__rm} -rf %{buildroot}



%files
%defattr(-,root,root,-)
%{_datadir}/%{name}/webinject.pl
%{_bindir}/webinject
%doc LICENSE README 
%defattr(-,root,root,0644)
%{_datadir}/%{name}/config.xml
%{_datadir}/%{name}/testcases.xml
%{_datadir}/pixmaps/icon.gif
%{_datadir}/%{name}/logo.gif

%files gui
%defattr(-,root,root,-)
%{_datadir}/%{name}/webinjectgui.pl
%{_datadir}/applications/webinject.desktop
%doc LICENSE README 

%changelog
* Mon May 25 2010 David Hannequin <david.hannequin@gmail.com> - 1.41-11
- Fix symbolic link

* Thu Mar 15 2010 David Hannequin <david.hannequin@gmail.com> - 1.41-10
- Change category desktop file Network 

* Tue Feb 22 2010 David Hannequin <david.hannequin@gmail.com> - 1.41-9
- Change category desktop file 

* Tue Feb 16 2010 David Hannequin <david.hannequin@gmail.com> - 1.41-8
- Change application group 

* Wed Dec 9 2009 David Hannequin <david.hannequin@gmail.com> - 1.41-7
- Link binary

* Sun Jul 19 2009 David Hannequin <david.hannequin@gmail.com> - 1.41-6
- Add patch to bugfix #2807516
- Modify wrong sed

* Tue Jul 5 2009 David Hannequin <david.hannequin@gmail.com> - 1.41-5
- Fix wrong path in webinjectgui.pl

* Tue Jun 30 2009 David Hannequin <david.hannequin@gmail.com> - 1.41-4
- Modify requires 

* Tue Jun 12 2009 David Hannequin <david.hannequin@gmail.com> - 1.41-3
- Change file permissions
- Modify summary
- Modify url source

* Tue Jun 2 2009 David Hannequin <david.hannequin@gmail.com> - 1.41-2
- Change license.

* Tue May 21 2009 David Hannequin <david.hannequin@gmail.com> - 1.41-1
- Initial release
